package tseries

import (
	"context"

	"github.com/tech/sendico/pkg/db/internal/mongo/tseriesimp"
	tsoptions "github.com/tech/sendico/pkg/db/tseries/options"
	"go.mongodb.org/mongo-driver/v2/mongo"
)

func CreateMongoTimeSeries(ctx context.Context, db *mongo.Database, tsOpts *tsoptions.Options) (TimeSeries, error) {
	return tseriesimp.NewMongoTimeSeriesCollection(ctx, db, tsOpts)
}
